program DPtest
  use hesang
  use dotst
  use sep

  implicit none
  real, dimension (2)		  :: dot1, dot2
  integer, parameter		  :: n1_in = 1500
  integer, parameter		  :: n2_in = 695
  real,dimension(n1_in*n2_in) 	  :: mask

  
!  call sreed("i1",mask,n1_in*n2_in*4)
  mask=1.
  call hesang_init(n1_in,n2_in,mask)
  call dot_test( hesang_lop, n1_in*n2_in, n1_in*n2_in, dot1, dot2 )
  write (6,*) dot1
  write (6,*) dot2
end program DPtest
